* 2004 model

* Preserve
preserve

* Drop those with first trial after 2004
drop if yearfirsttrial >= 2008 & yearfirsttrial <= 2012

* Keep only one observation in t-1
sum date if year == 2003
keep if date == r(min)

* Estimate propensity score
logit ivotemun avgturnout_0003 turnouttrend_0203vs0001 loginc logpop above65 logpopdens
estimates store m1
predict pscore, pr

* Propensity score matching
set seed 189372892 /* Random sort order and set seed (for replication) */
gen random = runiform()
sort random
set seed 189372892
psmatch2 ivotemun, pscore(pscore) common

* Store the weight
keep municipality_code _weight
rename _weight weight04
save "weight04.dta", replace

* Restore
restore




* 2008 model

* Preserve
preserve

* Drop those with first trial in 2004
drop if yearfirsttrial == 2004

* Keep only one observation in t-1
sum date if year == 2007
keep if date == r(min)

* Estimate propensity score
logit ivotemun avgturnout_0407 turnouttrend_0607vs0405 loginc logpop above65 logpopdens
estimates store m2
predict pscore, pr

* Propensity score matching
set seed 189372892 /* Random sort order and set seed (for replication) */
gen random = runiform()
sort random
set seed 189372892
psmatch2 ivotemun, pscore(pscore) common

* Store the weight
keep municipality_code _weight
rename _weight weight08
save "weight08.dta", replace

* Restore
restore

* Merge weights
use "Data\Geneva_final.dta", replace
merge n:1 municipality_code using "weight04.dta"
drop _merge
merge n:1 municipality_code using "weight08.dta"
drop _merge
erase "weight04.dta"
erase "weight08.dta"

* Generate aggregate weight
replace weight04 = 0 if weight04 == .
replace weight08 = 0 if weight08 == .
gen weight = weight04 + weight08
