* 2005 model

* Preserve
preserve

* Drop those with first trial in 2008
drop if yearfirsttrial == 2008

* Keep only one observation in t-1
sum date if year == 2004
keep if date == r(min)

* Estimate propensity score
logit ivotemun avgturnout_0104 turnouttrend_0304vs0102 loginc logpop above65 logpopdens
estimates store m3
predict pscore, pr

* Propensity score matching
set seed 189372892 /* Random sort order and set seed (for replication) */
gen random = runiform()
sort random
set seed 189372892
psmatch2 ivotemun, pscore(pscore) common

* Store the weight
keep municipality_code _weight
rename _weight weight05
save "weight05.dta", replace

* Restore
restore




* 2008 model

* Preserve
preserve

* Drop those with first trial in 2005
drop if yearfirsttrial == 2005

* Keep only one observation in t-1
sum date if year == 2007
keep if date == r(min)

* Estimate propensity score
logit ivotemun avgturnout_0407 turnouttrend_0607vs0405 loginc logpop above65 logpopdens
estimates store m4
predict pscore, pr

* Propensity score matching
set seed 189372892 /* Random sort order and set seed (for replication) */
gen random = runiform()
sort random
set seed 189372892
psmatch2 ivotemun, pscore(pscore) common

* Store the weight
keep municipality_code _weight
rename _weight weight08
save "weight08.dta", replace

* Restore
restore

* Merge weights
merge n:1 municipality_code using "weight05.dta"
drop _merge
merge n:1 municipality_code using "weight08.dta"
drop _merge
erase "weight05.dta"
erase "weight08.dta"

* Generate aggregate weight
replace weight05 = 0 if weight05 == .
replace weight08 = 0 if weight08 == .
gen weight = weight05 + weight08
